Subject: Re: Perl

From: "David H. Lynch Jr." <[email-masked]>
Date: Wed, 15 Nov 2006 00:54:07 -0500

Lee Revell wrote:
> On Tue, 2006-11-14 at 18:08 +0100, Wolfgang Grandegger wrote:
>   
>> Lee Revell wrote:
>>     
>>> I've been trying to cross compile Perl for a PPC440 board and it just
>>> isn't happening.  Perl is probably the least amenable application to
>>> cross compiling I've found.
>>>
>>> I tried the instructions in the Cross/ directory of the Perl distro but
>>> they don't work - "sh Configure" fails on my target because it expects a
>>> full C development environment, which won't fit.
>>>
>>> Is there any easy solution?  Can someone send me a binary?
>>>       
>> Configure and make perl natively on your target platform. I have done it 
>> some time ago with the ELDK.
>>
>>     
>
> I've almost got the cross compile method described in INSTALL to work
> (using SSH to the target).  But it just hangs forever at "Checking how
> to flush all pending stdio output...".  Argh.
>
> Compiling natively on the target is not an option, the perl build
> process has too many dependencies.  It depends on stuff fron GNU
> coreutils like /bin/comm that is not available in busybox.
>
> Does no one out there have a binary they are willing to send me?
>
> Lee
>   
    You can also use something like a Mac PowerBook with ppc4xx 
crosstools as a build and test environment.
    I did most of my early link port work that way, though I now use 
crosstools under colinux.

>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>   

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein